Delete project machine pool grant
curl --request DELETE \
--url https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/machine-pool-grants/{poolGrantID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/machine-pool-grants/{poolGrantID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.omnara.com/v1/orgs/{orgID}/projects/{projectID}/machine-pool-grants/{poolGrantID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "invalid_request"
}{
"error": "<string>",
"code": "internal_error"
}Machine Pools
Delete project machine pool grant
Removes the project’s access to the machine pool, revokes machine grants generated through it, and stops processes that depended on those grants. The pool itself is retained, and there are no dependency blockers.
DELETE
/
orgs
/
{orgID}
/
projects
/
{projectID}
/
machine-pool-grants
/
{poolGrantID}
Delete project machine pool grant
Authorizations
bearerAuthbrowserSessionCookie & csrfHeader
An opaque Omnara personal or organization bearer token.
Path Parameters
Pattern:
^org_[a-z2-7]{26}$Pattern:
^proj_[a-z2-7]{26}$Pattern:
^pmpg_[a-z2-7]{26}$Response
Project machine pool grant deleted.
⌘I